%define ver_major 0.8
%define _name gstreamer

Name: gstreamer-plugins
Version: %ver_major.9
Release: alt1

Summary: GStreamer Streaming-media framework plugins
License: LGPL
Group: System/Libraries
Url: http://gstreamer.net

Source: http://prdownloads.sourceforge.net/gstreamer/gst-plugins-%version.tar.bz2
#Patch: gst-plugins-0.8.9-alt-faad.patch

Obsoletes: gstreamer-plugin-libs
Provides: gstreamer-plugin-libs = %version-%release

%define GConf_ver 2.10.0
%define gstreamer_ver 0.8.10
Requires(post): GConf2 >= %GConf_ver
PreReq: gstreamer >= %gstreamer_ver
Requires(post,postun): gstreamer-utils >= %gstreamer_ver

BuildPreReq: gstreamer-devel >= %gstreamer_ver
BuildPreReq: kernel-headers-std

# Plugins we can build
%def_enable a52dec
%def_enable aalib
%def_enable alsa
%def_enable artsd
%if_enabled artsd
%def_enable arts
%def_enable artsc
%endif
%def_enable audio_effects
%def_enable audio_formats
%def_enable audiofile
%def_enable avifile
%def_enable cdparanoia
%def_enable colorspace
%def_enable cdaudio
%def_enable directfb
%def_disable divx
%def_enable dvdnav
%def_enable dvdread
%def_disable dxr3
%def_enable esd
%def_enable faad
%def_enable faac
%def_enable ffmpeg
%def_enable flac
%def_enable flx
%def_enable gconf
%def_enable gdk_pixbuf
%def_enable gnome_vfs
%def_enable gsm
%def_disable http
%def_enable jack
%def_enable jpeg
%def_enable ladspa
%def_enable lame
%def_enable libdv
%def_enable libfame
%def_enable libpng
%def_enable libmng
%def_enable librfb
%def_enable libvisual
%def_enable mad
%def_enable mikmod
%def_enable mpeg
%def_enable mpeg2dec
%def_disable mpeg2enc
%def_enable musicbrainz
%def_enable nas
%def_disable openquicktime
%def_enable ogg
%def_enable opengl
%def_enable oss
%def_enable qcam
%def_enable pango
%def_enable raw1394
%def_enable sdl
%def_enable shout
%def_enable shout2
%def_disable sidplay
%def_enable sndfile
%def_disable speex
%def_disable spc
%def_enable swfdec
%def_disable tarkin
%def_enable theora
%def_enable v4l
%def_enable v4l2
%def_enable vcd
%def_enable visualisation
%def_enable vorbis
%def_enable xmms
%def_enable xvid
%def_enable xvideo
%def_enable yuv4mjpeg
%def_with x11
%def_enable xine

%define a52dec_ver 0.7.4
%define aalib_ver 1.4
%define alsa2_ver 0.9.6
%define audiofile_ver 0.2.3-alt4
%define avifile_ver 0.737
%define cdparanoia_ver IIIa9.8
%define directfb_ver 0.9.21
%define esound_ver 0.2.34
%define fame_ver 0.9.0
%define festival_ver 1.4.1
%define faad_ver 2.0-alt1.1
%define faac_ver 1.23.1
%define ffmpeg_ver 0.4.8
%define flac_ver 1.0.4
%define glib_ver 2.6.3
%define gnomevfs_ver 2.1.3
%define gtk_ver 2.6.4
%define hermes_ver 1.3.2
%define jack_ver 0.80.0
%define lame_ver 3.93.1
%define libdvdnav_ver 0.1.9
%define libdvdread_ver 0.9.3
%define libdv_ver 0.102
%define libcdaudio_ver 0.99
%define libgsm_ver 1.0.10
%define libmad_ver 0.15.0b
%define libpng_ver 1.2.4
%define libraw1394_ver 0.10.0
%define librtp_ver 0.99
%define libSDL_ver 1.2.6
%define libshout_ver 1.0.5
%define libshout2_ver 2.0-alt2
%define libvisual_ver 0.2.0
%define sndfile_ver 1.0.5
%define mjpegtools_ver 1.6.2
%define mpeg2dec_ver 0.4.0
%define musicbrainz_ver 2.0.3
%define nasm_ver 0.98
%define ogg_ver 1.0
%define openquicktime_ver 0.9
%define pango_ver 1.8.1
%define sidplay_ver 1.36.0
%define speech_tools_ver 1.2.1
%define speex_ver 1.1.3
%define swfdec_ver 0.3.5
%define vorbis_ver 1.0
%define xvid_ver 1.0.0

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: nasm >= %nasm_ver

# Automatically added by buildreq on Mon Jun 13 2005
BuildRequires: GConf2 ORBit2-devel aalib-devel directfb-devel docbook-style-xsl docbook-utils-print esound-devel fontconfig-devel freetype2-devel gcc-c++ gcc-g77 ghostscript-utils glib2-devel gnome-vfs2-devel gstreamer-devel gtk-doc jackit-devel jadetex ladspa_sdk libGConf2-devel libSDL-devel liba52-devel libalsa-devel libarts-devel libatk-devel libaudio-devel libaudiofile-devel libavc1394-devel libbonobo2-devel libcairo-devel libcdaudio-devel libcdio-devel libcdparanoia-devel libdv-devel libdvdnav-devel libdvdread-devel libfaac-devel libfaad-devel libfame-devel libflac-devel libglitz-devel libgpg-error libgpm-devel libgsm-devel libgtk+2-devel libhermes-devel libid3tag-devel libjpeg-devel libjpeg-mmx-devel liblame-devel libmad-devel libmikmod-devel libmjpegtools-devel libmng-devel libmpeg2-devel libmusicbrainz-devel libogg-devel liboil-devel libpango-devel libpixman-devel libpng-devel libpopt-devel libqt3-devel libraw1394-devel libshout-devel libshout2-devel libslang-devel libsndfile-devel libstdc++-devel libswfdec-devel libtheora-devel libvisual-devel libvorbis-devel libxine-devel libxml2-devel netpbm pkgconfig python-base python-modules-encodings sgml-common tetex-core tetex-dvips transfig xml-common xorg-x11-devel-static xsltproc xvid-devel zlib-devel

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plugins.

%package ALL
Summary: Full set of GStreamer plugins
Group: System/Libraries
%if_enabled a52dec
Requires: gstreamer-a52dec = %version-%release
%endif
%if_enabled aalib
Requires: gstreamer-aalib = %version-%release
%endif
%if_enabled alsa
Requires: gstreamer-alsa = %version-%release
%endif
%if_enabled artsd
Requires: gstreamer-artsd = %version-%release
%endif
%if_enabled audio_effects
Requires: gstreamer-audio-effects = %version-%release
%endif
%if_enabled audio_formats
Requires: gstreamer-audio-formats = %version-%release
%endif
%if_enabled audiofile
Requires: gstreamer-audiofile = %version-%release
%endif
%if_enabled avifile
Requires: gstreamer-avi = %version-%release
%endif
%if_enabled cdparanoia
Requires: gstreamer-cdparanoia = %version-%release
%endif
Requires: gstreamer-cdplayer = %version-%release
%if_enabled colorspace
Requires: gstreamer-colorspace = %version-%release
%endif
Requires: gstreamer-container-formats = %version-%release
Requires: gstreamer-debug = %version-%release
%if_enabled libdv
Requires: gstreamer-dv = %version-%release
%endif
%if_enabled cdaudio
Requires: gstreamer-cdaudio = %version-%release
%endif
%if_enabled directfb
Requires: gstreamer-directfb = %version-%release
%endif
%if_enabled dvdnav
Requires: gstreamer-dvdnav = %version-%release
%endif
%if_enabled dvdread
Requires: gstreamer-dvdread = %version-%release
%endif
%if_enabled dxr3
Requires: gstreamer-dxr3 = %version-%release
%endif
%if_enabled esd
Requires: gstreamer-esd = %version-%release
%endif
%if_enabled faad
Requires: gstreamer-faad = %version-%release
%endif
%if_enabled faac
Requires: gstreamer-faac = %version-%release
%endif
%if_enabled libfame
Requires: gstreamer-fame = %version-%release
%endif
Requires: gstreamer-gconf = %version-%release
%if_enabled libvisual
Requires: gstreamer-libvisual = %version-%release
%endif
Requires: gstreamer-festival = %version-%release
%if_enabled ffmpeg
Requires: gstreamer-ffmpegcolorspace = %version-%release
%endif
%if_enabled flac
Requires: gstreamer-flac = %version-%release
%endif
%if_enabled flx
Requires: gstreamer-flx = %version-%release
%endif
%if_enabled gdk_pixbuf
Requires: gstreamer-gdkpixbuf = %version-%release
%endif
%if_enabled gnome_vfs
Requires: gstreamer-gnomevfs = %version-%release
%endif
%if_enabled gsm
Requires: gstreamer-gsm = %version-%release
%endif
%if_enabled http
Requires: gstreamer-http = %version-%release
%endif
%if_enabled jack
Requires: gstreamer-jack = %version-%release
%endif
%if_enabled jpeg
Requires: gstreamer-jpeg = %version-%release
%endif
%if_enabled ladspa
Requires: gstreamer-ladspa = %version-%release
%endif
%if_enabled libmng
Requires: gstreamer-mng = %version-%release
%endif
%if_enabled librfb
Requires: gstreamer-rfb = %version-%release
%endif
%if_enabled lame
Requires: gstreamer-lame = %version-%release
%endif
%if_enabled mad
Requires: gstreamer-mad = %version-%release
%endif
%if_enabled musicbrainz
Requires: gstreamer-musicbrainz = %version-%release
%endif
%if_enabled mikmod
Requires: gstreamer-mikmod = %version-%release
%endif
%if_enabled mpeg
Requires: gstreamer-mpeg = %version-%release
%endif
%if_enabled mpeg2dec
Requires: gstreamer-mpeg2dec = %version-%release
%endif
%if_enabled mpeg2enc
Requires: gstreamer-mpeg2enc = %version-%release
%endif
%if_enabled nas
Requires: gstreamer-nas = %version-%release
%endif
Requires: gstreamer-network = %version-%release
%if_enabled openquicktime
Requires: gstreamer-openquicktime = %version-%release
%endif
%if_enabled ogg
Requires: gstreamer-ogg = %version-%release
%endif
%if_enabled oss
Requires: gstreamer-oss = %version-%release
%endif
%if_enabled opengl
Requires: gstreamer-glvideosink = %version-%release
%endif
%if_enabled libpng
Requires: gstreamer-png = %version-%release
%endif
%if_enabled qcam
Requires: gstreamer-qcam = %version-%release
%endif
%if_enabled raw1394
Requires: gstreamer-raw1394 = %version-%release
%endif
%if_enabled sdl
Requires: gstreamer-sdl = %version-%release
%endif
%if_enabled shout
Requires: gstreamer-shout = %version-%release
%endif
%if_enabled shout2
Requires: gstreamer-shout2 = %version-%release
%endif
%if_enabled sidplay
Requires: gstreamer-sidplay = %version-%release
%endif
%if_enabled libpng
Requires: gstreamer-snapshot = %version-%release
%endif
%if_enabled sndfile
Requires: gstreamer-sndfile = %version-%release
%endif
%if_enabled speex
Requires: gstreamer-speex = %version-%release
%endif
%if_enabled swfdec
Requires: gstreamer-swfdec = %version-%release
%endif
%if_enabled theora
Requires: gstreamer-theora = %version-%release
%endif
Requires: gstreamer-tagediting = %version-%release
%if_enabled pango
Requires: gstreamer-textoverlay = %version-%release
%endif
%if_enabled v4l
Requires: gstreamer-v4l = %version-%release
%endif
%if_enabled v4l2
Requires: gstreamer-v4l2 = %version-%release
%endif
%if_enabled vcd
Requires: gstreamer-vcd = %version-%release
%endif
Requires: gstreamer-video-effects = %version-%release
Requires: gstreamer-videotest = %version-%release
%if_enabled visualisation
Requires: gstreamer-visualisation = %version-%release
%endif
%if_enabled vorbis
Requires: gstreamer-vorbis = %version-%release
%endif
%if_enabled xine
Requires: gstreamer-xine = %version-%release
%endif
%if_enabled xvid
Requires: gstreamer-xvid = %version-%release
%endif
%if_enabled xvideo
Requires: gstreamer-xvideosink = %version-%release
%endif
%if_with x11
Requires: gstreamer-xwindowlistener = %version-%release
%endif
%if_enabled yuv4mjpeg
Requires: gstreamer-yuv4mjpeg = %version-%release
%endif

%description ALL
This package installs full set of GStreamer plugins.

%package devel
Summary: GStreamer plugins develompment files
Group: Development/C
Obsoletes: gstreamer-plugin-libs-devel
Provides: gstreamer-plugin-libs-devel = %version-%release
Requires: %name = %version-%release
Requires: gstreamer-devel >= %gstreamer_ver

%description -n gstreamer-plugins-devel
GStreamer development libraries and header files.

%if_enabled a52dec
%package -n gstreamer-a52dec
Summary: GStreamer VOB decoder plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: liba52 >= %a52dec_ver
BuildRequires: liba52-devel >= %a52dec_ver

%description -n gstreamer-a52dec
Plugin for decoding of VOB files
%endif

%if_enabled aalib
%package -n gstreamer-aalib
Summary: Gstreamer plugin for Ascii-art output
Group: System/Libraries
Requires: aalib >= %aalib_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: aalib-devel >= %aalib_ver

%description -n gstreamer-aalib
Plugin for viewing movies in Ascii-art using aalib library.
%endif

%if_enabled alsa
%package -n gstreamer-alsa
Summary: GStreamer plugins for the ALSA sound architecture
Group: System/Libraries
#Provides: gstreamer-hw-audio-sink = %version-%release
Provides: gstreamer(audio-hardware-source) = %version-%release
Provides: gstreamer(audio-hardware-sink) = %version-%release
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-alsa
Input and output plugin for the ALSA soundcard driver architecture.
%endif

%if_enabled artsd
%package -n gstreamer-artsd
Summary: GStreamer artsd output plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-artsd
Plugin for outputing to artsd sound server
%endif

%if_enabled audio_effects
%package -n gstreamer-audio-effects
Summary: GStreamer audio effects plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-audio-effects
Plugin with various audio effects including resampling,
sine waves generation, silence generation plugin
%endif

%if_enabled audio_formats
%package -n gstreamer-audio-formats
Summary: GStreamer audio format plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-audio-formats
Plugin for playback of wav, au and mp3 audio files
%endif

%if_enabled audiofile
%package -n gstreamer-audiofile
Summary: GStreamer plugin audiofile support
Group: System/Libraries
Requires: libaudiofile >= %audiofile_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libaudiofile-devel >= %audiofile_ver

%description -n gstreamer-audiofile
Plugin for supporting reading and writing all files audiofile support
%endif

%if_enabled avifile
%package -n gstreamer-avi
Summary: Gstreamer plugin for AVI format movie playback
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: gstreamer-colorspace = %version-%release

%description -n gstreamer-avi
Plugins for playback of AVI format media files.
%endif

%if_enabled cdparanoia
%package -n gstreamer-cdparanoia
Summary: Gstreamer plugin for CD audio input using CDParanoia IV
Group: System/Libraries
Requires: cdparanoia >= %cdparanoia_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libcdparanoia-devel >= %cdparanoia_ver

%description -n gstreamer-cdparanoia
Plugin for ripping audio tracks using cdparanoia under GStreamer
%endif

%if_enabled cdaudio
%package -n gstreamer-cdaudio
Summary: Gstreamer plugin for CD audio input using libcdaudio
Group: System/Libraries
Requires: libcdaudio >= %libcdaudio_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libcdaudio-devel >= %libcdaudio_ver

%description -n gstreamer-cdaudio
Plugin for access CD-disks using libcdaudio under GStreamer
%endif

%package -n gstreamer-cdplayer
Summary: GStreamer plugin playing audio cds	
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-cdplayer
Lets you get sound from audio cd's using GStreamer.

%if_enabled colorspace
%package -n gstreamer-colorspace
Summary: Gstreamer colorspace conversion plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libhermes >= %hermes_ver
BuildRequires: libhermes-devel >= %hermes_ver

%description -n gstreamer-colorspace
Colorspace plugin based on Hermes library
%endif

%package -n gstreamer-container-formats
Summary: GStreamer multiplexers/demultiplexers for media container formats
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-container-formats
Plugins for multiplexing and demultiplexing various container formats
that can hold multiple video and/or audio streams.
Currently supported are QuickTime (demux only), RealMedia (demux only),
ASF and Matroska formats.

%package -n gstreamer-debug
Summary: GStreamer debug plugins
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-debug
Plugins that can be instrumental in testing and debugging other GStreamer
plugins.

%if_enabled libdv
%package -n gstreamer-dv
Summary: GStreamer dv plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libdv >= %libdv_ver
BuildRequires: libdv-devel >= %libdv_ver

%description -n gstreamer-dv
Plugin for digital video support.
%endif

%if_enabled directfb
%package -n gstreamer-directfb
Summary: DirectFB based otput video plugin for GStreamer
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libdirectfb >= %directfb_ver
BuildRequires: directfb-devel >= %directfb_ver

%description -n gstreamer-directfb
Output video plugin for GStreamer for use with the DirectFB package.
%endif

%if_enabled libvisual
%package -n gstreamer-libvisual
Summary: GStreamer libvisual plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
PreReq: libvisual >= %libvisual_ver
BuildRequires: libvisual-devel >= %libvisual_ver

%description -n gstreamer-libvisual
Plugin for use any visuals using libvisual under GStreamer.
%endif

%if_enabled dvdnav
%package -n gstreamer-dvdnav
Summary: GStreamer plugin for DVD navigation support
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libdvdnav >= %libdvdnav_ver
Provides: gstreamer-libdvdnav = %version-%release
Obsoletes: gstreamer-libdvdnav
BuildPreReq: libdvdnav-devel >= %libdvdnav_ver

%description -n gstreamer-dvdnav
Plugin for reading DVDs using libdvdnav under GStreamer.
%endif

%if_enabled dvdread
%package -n gstreamer-dvdread
Summary: GStreamer plugins for DVD playback using libdvdread
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libdvdread >= %libdvdread_ver
Provides: gstreamer-libdvdread = %version-%release
Obsoletes: gstreamer-libdvdread
BuildRequires: libdvdread-devel >= %libdvdread_ver

%description -n gstreamer-dvdread
Plugin for reading DVDs using libdvdread under GStreamer.
%endif

%if_enabled dxr3
%package -n gstreamer-dxr3
Summary: GStreamer DXR3 hardware mpeg video decoder plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-dxr3
Plugin for DXR3 hardware mpeg video decoder support
%endif

%if_enabled esd
%package -n gstreamer-esd
Summary: Gstreamer plugin for ESD sound output
Group: System/Libraries
Requires: esound >= %esound_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: esound-devel >= %esound_ver

%description -n gstreamer-esd
Output plugin for GStreamer for use with the esound package
%endif

%if_enabled faac
%package -n %_name-faac
Summary: Gstreamer plugin for FAAC
Group: System/Libraries
Requires: %_name-plugins = %version-%release
Requires: libfaac >= %faac_ver
BuildPreReq: libfaac-devel >= %faac_ver

%description -n %_name-faac
Plugin for the FAAC - MPEG2 and MPEG-4 AAC codec.
%endif

%if_enabled faad
%package -n gstreamer-faad
Summary: Gstreamer plugin for decoding AAC audio files
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libfaad-devel

%description -n gstreamer-faad
Gstreamer plugin for decoding audio files in the AAC format. It uses
the FAAD library.
%endif

%if_enabled libfame
%package -n gstreamer-fame
Summary: Gstreamer plugin for MPEG encoding using libfame
Group: System/Libraries
Requires: libfame >= %fame_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libfame-devel >= %fame_ver

%description -n gstreamer-fame
Gstreamer plugin for fast MPEG encoding using libfame.
%endif

%package -n gstreamer-festival
Summary: GStreamer plugin for text-to-speech support using Festival
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-festival
Element for text-to-speech using the festival server.

%if_enabled ffmpeg
%package -n gstreamer-ffmpegcolorspace
Summary: FFMPEG Colorspace converter
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-ffmpegcolorspace
FFMPEG Colorspace converter
%endif

%if_enabled flac
%package -n gstreamer-flac
Summary: Gstreamer plugin for FLAC lossless audio format
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libflac >= %flac_ver
BuildRequires: libflac-devel >= %flac_ver

%description -n gstreamer-flac
Plugin for the free FLAC lossless audio format.
%endif

%if_enabled flx
%package -n gstreamer-flx
Summary: GStreamer plugin for FLI/FLX animation format
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: gstreamer-colorspace >= %version-%release

%description -n gstreamer-flx
Plugin for playing FLI/FLX animations under GStreamer
%endif

%package -n gstreamer-gconf
Summary: GConf/GStreamer audio/video output wrapper elements
Group: System/Libraries
Requires: GConf2

%description -n gstreamer-gconf
Plugin contains plugins wrapping the GStreamer/GConf audio/video output
settings.

%if_enabled gdk_pixbuf
%package -n gstreamer-gdkpixbuf
Summary: GStreamer plugins to utilize Gdk in-memory images
Group: System/Libraries
BuildRequires: libgtk+2-devel

%description -n gstreamer-gdkpixbuf
GStreamer plugin that utilizes Gdk-Pixbuf image management system
of the GTK+ 2.x toolkit.
%endif

%if_enabled gnome_vfs
%package -n gstreamer-gnomevfs
Summary: GStreamer plugins for GNOME VFS input and output
Group: System/Libraries
Requires: gnome-vfs2 >= %gnomevfs_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: gnome-vfs2-devel >= %gnomevfs_ver

%description -n gstreamer-gnomevfs
Plugins for reading and writing through GNOME VFS.
%endif

%if_enabled gsm
%package -n gstreamer-gsm
Summary: GStreamer plugin for GSM lossy audio format
Group: System/Libraries
Requires: libgsm >= %libgsm_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libgsm-devel >= %libgsm_ver

%description -n gstreamer-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.
%endif

%if_enabled http
%package -n gstreamer-http
Summary: Gstreamer http plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-http
Plugin for making HTTP 1.1 requests
%endif

%if_enabled jack
%package -n gstreamer-jack
Summary: GStreamer plugin for JACK audio connection kit
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libjack >= %jack_ver
BuildRequires: jackit-devel >= %jack_ver

%description -n gstreamer-jack
Plugin for interact with JACK low-latency audio server
%endif

%if_enabled jpeg
%package -n gstreamer-jpeg
Summary: Gstreamer plugin for jpeg images
Group: System/Libraries
Requires: libjpeg
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libjpeg-devel

%description -n gstreamer-jpeg
Output plugin for GStreamer using libjpeg
%endif

%if_enabled libmng
%package -n gstreamer-mng
Summary: Gstreamer plugin for MNG images
Group: System/Libraries
Requires: libmng
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libmng-devel

%description -n gstreamer-mng
Output plugin for GStreamer using libmng
%endif

%if_enabled ladspa
%package -n gstreamer-ladspa
Summary: Gstreamer wrapper for LADSPA plugins
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-ladspa
Plugin which wraps LADSPA plugins for use by GStreamer applications.
%endif

%if_enabled lame
%package -n gstreamer-lame
Summary: GStreamer plugin encoding mp3 songs
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: lame >= %lame_ver

%description -n gstreamer-lame
Plugin for encoding mp3 with lame
%endif

%if_enabled libpng
%package -n gstreamer-png
Summary: Gstreamer plugin for PNG images
Group: System/Libraries
Requires: libpng3 >= %libpng_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libpng-devel

%description -n gstreamer-png
Output plugin for GStreamer using libpng
%endif

%if_enabled mad
%package -n gstreamer-mad
Summary: Plugin using MAD for mp3 decoding
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libmad >= %libmad_ver
BuildRequires: libmad-devel >= %libmad_ver

%description -n gstreamer-mad
Plugin for playback of mp3 songs using the very good MAD library
%endif

%if_enabled musicbrainz
%package -n gstreamer-musicbrainz
Summary: Plugin thar compute TRM Id from muscibrainz
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libmusicbrainz >= %musicbrainz_ver
BuildRequires: libmusicbrainz-devel >= %musicbrainz_ver

%description -n gstreamer-musicbrainz
Plugin thar compute TRM Id from muscibrainz
%endif

%if_enabled mikmod
%package -n gstreamer-mikmod
Summary: GStreamer Mikmod plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-mikmod
Plugin for playback of module files supported by mikmod under GStreamer
%endif

%if_enabled mpeg
%package -n gstreamer-mpeg
Summary: GStreamer plugins for MPEG video playback and encoding
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-mpeg
Plugins for playing and encoding MPEG video
%endif

%if_enabled mpeg2dec
%package -n gstreamer-mpeg2dec
Summary: GStreamer plugins for MPEG2 playback
Group: System/Libraries
Requires: libmpeg2 >= %mpeg2dec_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libmpeg2-devel >= %mpeg2dec_ver

%description -n gstreamer-mpeg2dec
Plugins for playing MPEG2 encoded movies
%endif

%if_enabled mpeg2enc
%package -n gstreamer-mpeg2enc
Summary: Gstreamer MPEG2 encoder
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: mjpegtools >= %mjpegtools_ver
BuildRequires: mjpegtools-devel >= %mjpegtools_ver

%description -n gstreamer-mpeg2enc
Mjpegtools based encoder plugin. It is able to encode media
files in the MPEG2 format.
%endif

%if_enabled nas
%package -n gstreamer-nas
Summary: Gstreamer NAS output plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-nas
Plugin for outputing to NAS sound server
%endif

%package -n gstreamer-network
Summary: GStreamer network protocol plugins
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-network
GStreamer plugins that implement transport over TCP/IP networks using
various protocols. Currently included are RTP, TCP and UDP plugins.

%if_enabled openquicktime
%package -n gstreamer-openquicktime
Summary: GStreamer OpenQuicktime video Plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: openquicktime >= %openquicktime_ver

%description -n gstreamer-openquicktime
Plugin which uses the OpenQuicktime library
from 3ivx to play Quicktime movies.
(http://openquicktime.sourceforge.net/)
%endif

%if_enabled ogg
%package -n gstreamer-ogg
Summary: Gstreamer plugins for encoding and decoding Ogg media format
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libogg-devel >= %ogg_ver

%description -n gstreamer-ogg
Plugins for encoding and decoding Ogg media container files.
%endif

%if_enabled oss
%package -n gstreamer-oss
Summary: Gstreamer plugins for input and output using OSS
Group: System/Libraries
#Provides: gstreamer-hw-audio-sink = %version-%release
Provides: gstreamer(audio-hardware-source) = %version-%release
Provides: gstreamer(audio-hardware-sink) = %version-%release
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-oss
Plugins for output and input to the OpenSoundSytem audio
drivers found in the Linux kernels or commercially available
from OpenSound.
%endif

%if_enabled opengl
%package -n gstreamer-glvideosink
Summary: Gstreamer OpenGL output plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-glvideosink
An OpenGL 1.2 based video sink.
%endif

%if_enabled qcam
%package -n gstreamer-qcam
Summary: GStreamer QuickCam plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-qcam
Plugin for accessing a Quickcam source
%endif

%if_enabled raw1394
%package -n gstreamer-raw1394
Summary: Gstreamer plugin for access firewire devices using libraw1394
Group: System/Libraries
Requires: libraw1394 >= %libraw1394_ver
PreReq: gstreamer-plugins = %version-%release
Provides: gstreamer-libraw1394 = %version-%release
Obsoletes: gstreamer-libraw1394
BuildRequires: libraw1394-devel >= %libraw1394_ver libavc1394-devel

%description -n gstreamer-raw1394
Gstreamer plugin for direct access to the connected 1394 buses using libraw1394
%endif

%if_enabled librfb
%package -n gstreamer-rfb
Summary: Gstreamer remote framebuffer plugin
Group: System/Libraries

%description -n gstreamer-rfb
This plugin allows to connect to a VNC server and decodes RFB stream.
%endif

%if_enabled sdl
%package -n gstreamer-sdl
Summary: Gstreamer plugin for outputing to SDL
Group: System/Libraries
Requires: libSDL >= %libSDL_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libSDL-devel >= %libSDL_ver

%description -n gstreamer-sdl
Plugin for sending output to the Simple Direct Media architecture.
(http://www.libsdl.org). Usefull for fullscreen playback.
%endif

%if_enabled shout
%package -n gstreamer-shout
Summary: GStreamer Icecast broadcasting plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libshout >= %libshout_ver
Provides: gstreamer-icecast = %version-%release
Obsoletes: gstreamer-icecast
BuildRequires: libshout-devel >= %libshout_ver

%description -n gstreamer-shout
Plugin for broadcasting audio with the Icecast server
%endif

%if_enabled shout2
%package -n gstreamer-shout2
Summary: GStreamer Icecast2 broadcasting plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libshout2 >= %libshout2_ver
Provides: gstreamer-icecast2 = %version-%release
Obsoletes: gstreamer-icecast2
BuildRequires: libshout2-devel >= %libshout2_ver

%description -n gstreamer-shout2
Plugin for broadcasting audio with the Icecast2 server
%endif

%if_enabled sidplay
%package -n gstreamer-sidplay
Summary: GStreamer Sid C64 music plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libsidplay >= %sidplay_ver
Provides: gstreamer-sid = %version-%release
Obsoletes: gstreamer-sid
BuildRequires: libsidplay-devel >= %sidplay_ver

%description -n gstreamer-sidplay
Plugin for playback of C64 SID format music files
%endif

%if_enabled libpng
%package -n gstreamer-snapshot
Summary: GStreamer plug-in for grabbing images from videostreams
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: gstreamer-colorspace = %version-%release
BuildRequires: libpng-devel >= %libpng_ver

%description -n gstreamer-snapshot
This plugin grabs images from videostreams and saves them as PNG format
images.
%endif

%if_enabled sndfile
%package -n gstreamer-sndfile
Summary: GStreamer sndfile support plugin
Group: System/Libraries
Requires: libsndfile >= %sndfile_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libsndfile-devel >= %sndfile_ver

%description -n gstreamer-sndfile
Plugin for supporting reading and writing all files sndfile support
%endif

%if_enabled speex
%package -n gstreamer-speex
Summary: Speex codec for GStreamer
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libspeex-devel

%description -n gstreamer-speex
Plugin for encoding and decoding Speex voice audio.
%endif

%if_enabled swfdec
%package -n gstreamer-swfdec
Summary: GStreamer Flash redering plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Requires: libswfdec >= %swfdec_ver
BuildRequires: libswfdec-devel >= %swfdec_ver

%description -n gstreamer-swfdec
Plugin for rendering Flash animations using swfdec library
%endif

%package -n gstreamer-tagediting
Summary: GStreamer tag editing plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-tagediting
GStreamer plugin for editing tags in audio files.
Tags are text strings containing information about file contents.
This plugin supports ID3 tags in MP3 files and Vorbis file tags.

%if_enabled pango
%package -n gstreamer-textoverlay
Summary: GStreamer text and time visual overlay plugins
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libpango-devel

%description -n gstreamer-textoverlay
Plugins for rendering text overlays on top of video streams.
They are useful for rendering subtitles and date/time.
%endif

%if_enabled theora
%package -n gstreamer-theora
Summary: Gstreamer plugin for encoding and decoding Theora video
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libtheora-devel

%description -n gstreamer-theora
Plugin for encoding and decoding Theora video streams
%endif

%if_enabled v4l
%package -n gstreamer-v4l
Summary: GStreamer Video for Linux input plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-v4l
Plugin for accessing Video for Linux streams.
%endif

%if_enabled v4l2
%package -n gstreamer-v4l2
Summary: GStreamer Video for linux version 2 input plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-v4l2
Plugin for accessing Video for Linux streams (version 2 API).
%endif

%if_enabled vcd
%package -n gstreamer-vcd
Summary: GStreamer Video CD plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-vcd
Video CD parsing and playback
%endif

%package -n gstreamer-video-effects
Summary: GStreamer video effects plugins
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Obsoletes: gstreamer-deinterlace
Provides: gstreamer-deinterlace = %version-%release
Provides: gstreamer-misc
Obsoletes: gstreamer-misc = %version-%release

%description -n gstreamer-video-effects
Plugin with various video effects including deinterlacing and effecTV
plugins.

%package -n gstreamer-videotest
Summary: GStreamer plugin for generating a video test streamer
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-videotest
This plugin provides a videotest plugin. This plugin can be used to
generate a videostream for testing other plugins.

%if_enabled visualisation
%package -n gstreamer-visualisation
Summary: GStreamer visualisations plugins
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-visualisation
Various plugins for visual effects to use with audio. Included are
Smoothwave, Spectrum, Goom, Chart and vumeter
%endif

%if_enabled vorbis
%package -n gstreamer-vorbis
Summary: Gstreamer plugin for encoding and decoding Ogg Vorbis audio files
Group: System/Libraries
Requires: libogg >= %ogg_ver libvorbis >= %vorbis_ver
PreReq: gstreamer-plugins = %version-%release
BuildRequires: libogg-devel >= %ogg_ver
BuildRequires: libvorbis-devel >= %vorbis_ver

%description -n gstreamer-vorbis
Plugins for creating and playing Ogg Vorbis audio files.
%endif

%if_enabled xine
%package -n gstreamer-xine
Summary: Gstreamer XINE output plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-xine
Plugin for outputting audio/video streams using libxine
%endif

%if_enabled xvid
%package -n gstreamer-xvid
Summary: Gstreamer plugin for encoding and decoding XviD video
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
BuildRequires: xvid-devel

%description -n gstreamer-xvid
Plugin for encoding and decoding XviD video streams
%endif

%if_enabled xvideo
%package -n gstreamer-xvideosink
Summary: Gstreamer XFree output plugin
Group: System/Libraries
Obsoletes: %_name-videosink
Provides: %_name-videosink = %version-%release
PreReq: gstreamer-plugins = %version-%release
Requires: libhermes >= %hermes_ver

%description -n gstreamer-xvideosink
Xfree86 video sink
%endif

%if_with x11
%package -n gstreamer-xwindowlistener
Summary: Gstreamer X window listener plugin
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release

%description -n gstreamer-xwindowlistener
X window listener plugin for GStreamer to monitor X window events
%endif

%if_enabled yuv4mjpeg
%package -n gstreamer-yuv4mjpeg
Summary: GStreamer YUV to LAV converter
Group: System/Libraries
PreReq: gstreamer-plugins = %version-%release
Obsoletes: gstreamer-lavencode
Provides: gstreamer-lavencode = %version-%release

%description -n gstreamer-yuv4mjpeg
It takes YUV video frames and adds a header in front of it so it can be
processed with the lavtools from mjpeg
%endif

%define gstreamer_cachedir %_var/lib/gstreamer-%ver_major
%define _gst_libdir %_libdir/gstreamer-%ver_major
%add_findprov_lib_path %_gst_libdir
#%%set_verify_elf_method textrel=relaxed

%prep
%setup -q -n gst-plugins-%version
#%patch -p1

%build
export PATH=$QTDIR/bin:$PATH
%configure \
    %{subst_enable a52dec} \
    %{subst_enable aalib} \
    %{subst_enable alsa} \
    %{subst_enable arts} \
    %{subst_enable artsc} \
    %{subst_enable audiofile} \
    %{subst_enable avifile} \
    %{subst_enable cdparanoia} \
    %{subst_enable cdaudio} \
    %{subst_enable directfb} \
    %{subst_enable divx} \
    %{subst_enable dvdnav} \
    %{subst_enable dvdread} \
    %{subst_enable dxr3} \
    %{subst_enable esd} \
    %{subst_enable faac} \
    %{subst_enable faad} \
    %{subst_enable flac} \
    %{subst_enable gdk_pixbuf} \
    %{subst_enable gnome_vfs} \
    %{subst_enable gsm} \
%if_disabled colorspace
    --disable-hermes \
%endif
    %{subst_enable http} \
    %{subst_enable jack} \
    %{subst_enable jpeg} \
    %{subst_enable ladspa} \
    %{subst_enable lame} \
%if_disabled colorspace
    --disable-lcs \
%endif
    %{subst_enable libdv} \
    %{subst_enable libfame} \
    %{subst_enable libmng} \
    %{subst_enable libpng} \
    %{subst_enable librfb} \
    %{subst_enable libvisual} \
    %{subst_enable mad} \
    %{subst_enable mikmod} \
    %{subst_enable mpeg2enc} \
    %{subst_enable mpeg2dec} \
    %{subst_enable musicbrainz} \
    %{subst_enable nas} \
    %{subst_enable openquicktime} \
    %{subst_enable ogg} \
    %{subst_enable opengl} \
    %{subst_enable oss} \
    %{subst_enable qcam} \
    %{subst_enable pango} \
    %{subst_enable raw1394} \
    %{subst_enable sdl} \
    %{subst_enable shout} \
    %{subst_enable shout2} \
    %{subst_enable sidplay} \
    %{subst_enable sndfile} \
    %{subst_enable speex} \
    %{subst_enable spc} \
    %{subst_enable swfdec} \
    %{subst_enable tarkin} \
    %{subst_enable theora} \
    %{subst_enable v4l} \
    %{subst_enable v4l2} \
    %{subst_enable vcd} \
    %{subst_enable vorbis} \
    %{subst_enable xine} \
    %{subst_enable xmms} \
    %{subst_enable xvid} \
    %{subst_enable xvideo} \
%if_without x11
    --disable-x \
    --disable-xshm \
%endif

# SMP-incompatible build
%make \
	DVDNAV_CFLAGS=`%_bindir/dvdnav-config --cflags` \
	MPEG2ENC_CFLAGS="-I%_includedir/mjpegtools -I%_includedir/mjpegtools/mpeg2enc"

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove non-packaged files
%__rm -f %buildroot%_gst_libdir/*.la

%find_lang gst-plugins-%ver_major

%post
%gconf2_install gstreamer-%ver_major

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall gstreamer-%ver_major
fi

%if_enabled a52dec
%post -n gstreamer-a52dec
%gst_register
%gst_compprep
%endif

%if_enabled aalib
%post -n gstreamer-aalib
%gst_register
%gst_compprep
%endif

%if_enabled alsa
%post -n gstreamer-alsa
%gst_register
%gst_compprep
%endif

%if_enabled artsd
%post -n gstreamer-artsd
%gst_register
%gst_compprep
%endif

%if_enabled audio_effects
%post -n gstreamer-audio-effects
%gst_register
%gst_compprep
%endif

%if_enabled audio_formats
%post -n gstreamer-audio-formats
%gst_register
%gst_compprep
%endif

%if_enabled audiofile
%post -n  gstreamer-audiofile
%gst_register
%gst_compprep
%endif

%if_enabled avifile
%post -n gstreamer-avi
%gst_register
%gst_compprep
%endif

%if_enabled cdparanoia
%post -n gstreamer-cdparanoia
%gst_register
%gst_compprep
%endif

%if_enabled cdaudio
%post -n gstreamer-cdaudio
%gst_register
%gst_compprep
%endif

%post -n gstreamer-cdplayer
%gst_register
%gst_compprep

%if_enabled colorspace
%post -n gstreamer-colorspace
%gst_register
%gst_compprep
%endif

%post -n gstreamer-container-formats
%gst_register
%gst_compprep

%post -n gstreamer-debug
%gst_register
%gst_compprep

%if_enabled directfb
%post -n gstreamer-directfb
%gst_register
%gst_compprep
%endif

%if_enabled libdv
%post -n gstreamer-dv
%gst_register
%gst_compprep
%endif

%if_enabled libvisual
%post -n gstreamer-libvisual
%gst_register
%gst_compprep
%endif

%if_enabled dvdnav
%post -n gstreamer-dvdnav
%gst_register
%gst_compprep
%endif

%if_enabled dvdread
%post -n gstreamer-dvdread
%gst_register
%gst_compprep
%endif

%if_enabled dxr3
%post -n gstreamer-dxr3
%gst_register
%gst_compprep
%endif

%if_enabled esd
%post -n gstreamer-esd
%gst_register
%gst_compprep
%endif

%if_enabled faac
%post -n %_name-faac
%gst_register
%gst_compprep
%endif

%if_enabled opengl
%post -n %_name-glvideosink
%gst_register
%gst_compprep
%endif

%if_enabled faad
%post -n gstreamer-faad
%gst_register
%gst_compprep
%endif

%if_enabled libfame
%post -n gstreamer-fame
%gst_register
%gst_compprep
%endif

%if_enabled libmng
%post -n gstreamer-mng
%gst_register
%gst_compprep
%endif

%post -n gstreamer-festival
%gst_register
%gst_compprep

%if_enabled ffmpeg
%post -n gstreamer-ffmpegcolorspace
%gst_register
%gst_compprep
%endif

%if_enabled flac
%post -n gstreamer-flac
%gst_register
%gst_compprep
%endif

%if_enabled flx
%post -n gstreamer-flx
%gst_register
%gst_compprep
%endif

%if_enabled gdk_pixbuf
%post -n gstreamer-gdkpixbuf
%gst_register
%gst_compprep
%endif

%if_enabled gnome_vfs
%post -n gstreamer-gnomevfs
%gst_register
%gst_compprep
%endif

%post -n gstreamer-gconf
%gst_register
%gst_compprep

%if_enabled gsm
%post -n gstreamer-gsm
%gst_register
%gst_compprep
%endif

%if_enabled http
%post -n gstreamer-http
%gst_register
%gst_compprep
%endif

%if_enabled jack
%post -n gstreamer-jack
%gst_register
%gst_compprep
%endif

%if_enabled jpeg
%post -n gstreamer-jpeg
%gst_register
%gst_compprep
%endif

%if_enabled ladspa
%post -n gstreamer-ladspa
%gst_register
%gst_compprep
%endif

%if_enabled lame
%post -n gstreamer-lame
%gst_register
%gst_compprep
%endif

%if_enabled mad
%post -n gstreamer-mad
%gst_register
%gst_compprep
%endif

%if_enabled mikmod
%post -n gstreamer-mikmod
%gst_register
%gst_compprep
%endif

%if_enabled musicbrainz
%post -n gstreamer-musicbrainz
%gst_register
%gst_compprep
%endif

%if_enabled mpeg
%post -n  gstreamer-mpeg
%gst_register
%gst_compprep
%endif

%if_enabled mpeg2dec
%post -n  gstreamer-mpeg2dec
%gst_register
%gst_compprep
%endif

%if_enabled mpeg2enc
%post -n  gstreamer-mpeg2enc
%gst_register
%gst_compprep
%endif

%if_enabled nas
%post -n  gstreamer-nas
%gst_register
%gst_compprep
%endif

%post -n gstreamer-network
%gst_register
%gst_compprep

%if_enabled openquicktime
%post -n gstreamer-openquicktime
%gst_register
%gst_compprep
%endif

%if_enabled ogg
%post -n gstreamer-ogg
%gst_register
%gst_compprep
%endif

%if_enabled oss
%post -n gstreamer-oss
%gst_register
%gst_compprep
%endif

%if_enabled libpng
%post -n gstreamer-png
%gst_register
%gst_compprep
%endif

%if_enabled qcam
%post -n gstreamer-qcam
%gst_register
%gst_compprep
%endif

%if_enabled raw1394
%post -n gstreamer-raw1394
%gst_register
%gst_compprep
%endif

%if_enabled librfb
%post -n gstreamer-rfb
%gst_register
%gst_compprep
%endif

%if_enabled sdl
%post -n gstreamer-sdl
%gst_register
%gst_compprep
%endif

%if_enabled shout
%post -n gstreamer-shout
%gst_register
%gst_compprep
%endif

%if_enabled shout2
%post -n gstreamer-shout2
%gst_register
%gst_compprep
%endif

%if_enabled sidplay
%post -n gstreamer-sidplay
%gst_register
%gst_compprep
%endif

%if_enabled libpng
%post -n gstreamer-snapshot
%gst_register
%gst_compprep
%endif

%if_enabled sndfile
%post -n  gstreamer-sndfile
%gst_register
%gst_compprep
%endif

%if_enabled speex
%post -n gstreamer-speex
%gst_register
%gst_compprep
%endif

%if_enabled swfdec
%post -n gstreamer-swfdec
%gst_register
%gst_compprep
%endif

%post -n gstreamer-tagediting
%gst_register
%gst_compprep

%if_enabled pango
%post -n gstreamer-textoverlay
%gst_register
%gst_compprep
%endif

%if_enabled theora
%post -n gstreamer-theora
%gst_register
%gst_compprep
%endif

%if_enabled v4l
%post -n gstreamer-v4l
%gst_register
%gst_compprep
%endif

%if_enabled v4l2
%post -n gstreamer-v4l2
%gst_register
%gst_compprep
%endif

%if_enabled vcd
%post -n gstreamer-vcd
%gst_register
%gst_compprep
%endif

%post -n gstreamer-video-effects
%gst_register
%gst_compprep

%post -n gstreamer-videotest
%gst_register
%gst_compprep

%if_enabled visualisation
%post -n gstreamer-visualisation
%gst_register
%gst_compprep
%endif

%if_enabled vorbis
%post -n gstreamer-vorbis
%gst_register
%gst_compprep
%endif

%if_enabled xine
%post -n  gstreamer-xine
%gst_register
%gst_compprep
%endif

%if_enabled xvid
%post -n gstreamer-xvid
%gst_register
%gst_compprep
%endif

%if_enabled xvideo
%post -n gstreamer-xvideosink
%gst_register
%gst_compprep
%endif

%if_with x11
%post -n gstreamer-xwindowlistener
%gst_register
%gst_compprep
%endif

%if_enabled yuv4mjpeg
%post -n gstreamer-yuv4mjpeg
%gst_register
%gst_compprep
%endif

%if_enabled a52dec
%postun -n gstreamer-a52dec
%gst_register
%gst_compprep
%endif

%if_enabled aalib
%postun -n gstreamer-aalib
%gst_register
%gst_compprep
%endif

%if_enabled alsa
%postun -n gstreamer-alsa
%gst_register
%gst_compprep
%endif

%if_enabled artsd
%postun -n gstreamer-artsd
%gst_register
%gst_compprep
%endif

%if_enabled audio_effects
%postun -n gstreamer-audio-effects
%gst_register
%gst_compprep
%endif

%if_enabled audio_formats
%postun -n gstreamer-audio-formats
%gst_register
%gst_compprep
%endif

%if_enabled audiofile
%postun -n  gstreamer-audiofile
%gst_register
%gst_compprep
%endif

%if_enabled avifile
%postun -n gstreamer-avi
%gst_register
%gst_compprep
%endif

%if_enabled cdparanoia
%postun -n gstreamer-cdparanoia
%gst_register
%gst_compprep
%endif

%if_enabled cdaudio
%postun -n gstreamer-cdaudio
%gst_register
%gst_compprep
%endif

%postun -n gstreamer-cdplayer
%gst_register
%gst_compprep

%if_enabled colorspace
%postun -n gstreamer-colorspace
%gst_register
%gst_compprep
%endif

%postun -n gstreamer-container-formats
%gst_register
%gst_compprep

%postun -n gstreamer-debug
%gst_register
%gst_compprep

%if_enabled directfb
%postun -n gstreamer-directfb
%gst_register
%gst_compprep
%endif

%if_enabled libdv
%postun -n gstreamer-dv
%gst_register
%gst_compprep
%endif

%if_enabled libvisual
%postun -n gstreamer-libvisual
%gst_register
%gst_compprep
%endif

%if_enabled dvdnav
%postun -n gstreamer-dvdnav
%gst_register
%gst_compprep
%endif

%if_enabled dvdread
%postun -n gstreamer-dvdread
%gst_register
%gst_compprep
%endif

%if_enabled dxr3
%postun -n gstreamer-dxr3
%gst_register
%gst_compprep
%endif

%if_enabled esd
%postun -n gstreamer-esd
%gst_register
%gst_compprep
%endif

%if_enabled faac
%postun -n %_name-faac
%gst_register
%gst_compprep
%endif

%if_enabled faad
%postun -n gstreamer-faad
%gst_register
%gst_compprep
%endif

%if_enabled libfame
%postun -n gstreamer-fame
%gst_register
%gst_compprep
%endif

%if_enabled libmng
%postun -n gstreamer-mng
%gst_register
%gst_compprep
%endif

%postun -n gstreamer-festival
%gst_register
%gst_compprep

%if_enabled ffmpeg
%postun -n gstreamer-ffmpegcolorspace
%gst_register
%gst_compprep
%endif

%if_enabled flac
%postun -n gstreamer-flac
%gst_register
%gst_compprep
%endif

%if_enabled flx
%postun -n gstreamer-flx
%gst_register
%gst_compprep
%endif

%if_enabled gdk_pixbuf
%postun -n gstreamer-gdkpixbuf
%gst_register
%gst_compprep
%endif

%if_enabled opengl
%postun -n %_name-glvideosink
%gst_register
%gst_compprep
%endif

%if_enabled gnome_vfs
%postun -n gstreamer-gnomevfs
%gst_register
%gst_compprep
%endif

%postun -n gstreamer-gconf
%gst_register
%gst_compprep

%if_enabled gsm
%postun -n gstreamer-gsm
%gst_register
%gst_compprep
%endif

%if_enabled http
%postun -n gstreamer-http
%gst_register
%gst_compprep
%endif

%if_enabled jack
%postun -n gstreamer-jack
%gst_register
%gst_compprep
%endif

%if_enabled jpeg
%postun -n gstreamer-jpeg
%gst_register
%gst_compprep
%endif

%if_enabled ladspa
%postun -n gstreamer-ladspa
%gst_register
%gst_compprep
%endif

%if_enabled lame
%postun -n gstreamer-lame
%gst_register
%gst_compprep
%endif

%if_enabled mad
%postun -n gstreamer-mad
%gst_register
%gst_compprep
%endif

%if_enabled mikmod
%postun -n gstreamer-mikmod
%gst_register
%gst_compprep
%endif

%if_enabled musicbrainz
%postun -n gstreamer-musicbrainz
%gst_register
%gst_compprep
%endif

%if_enabled mpeg
%postun -n  gstreamer-mpeg
%gst_register
%gst_compprep
%endif

%if_enabled mpeg2dec
%postun -n  gstreamer-mpeg2dec
%gst_register
%gst_compprep
%endif

%if_enabled mpeg2enc
%postun -n  gstreamer-mpeg2enc
%gst_register
%gst_compprep
%endif

%postun -n gstreamer-network
%gst_register
%gst_compprep

%if_enabled openquicktime
%postun -n gstreamer-openquicktime
%gst_register
%gst_compprep
%endif

%if_enabled ogg
%postun -n gstreamer-ogg
%gst_register
%gst_compprep
%endif

%if_enabled oss
%postun -n gstreamer-oss
%gst_register
%gst_compprep
%endif

%if_enabled libpng
%postun -n gstreamer-png
%gst_register
%gst_compprep
%endif

%if_enabled qcam
%postun -n gstreamer-qcam
%gst_register
%gst_compprep
%endif

%if_enabled raw1394
%postun -n gstreamer-raw1394
%gst_register
%gst_compprep
%endif

%if_enabled librfb
%postun -n gstreamer-rfb
%gst_register
%gst_compprep
%endif

%if_enabled sdl
%postun -n gstreamer-sdl
%gst_register
%gst_compprep
%endif

%if_enabled shout
%postun -n gstreamer-shout
%gst_register
%gst_compprep
%endif

%if_enabled shout2
%postun -n gstreamer-shout2
%gst_register
%gst_compprep
%endif

%if_enabled sidplay
%postun -n gstreamer-sidplay
%gst_register
%gst_compprep
%endif

%if_enabled libpng
%postun -n gstreamer-snapshot
%gst_register
%gst_compprep
%endif

%if_enabled sndfile
%postun -n  gstreamer-sndfile
%gst_register
%gst_compprep
%endif

%if_enabled speex
%postun -n gstreamer-speex
%gst_register
%gst_compprep
%endif

%if_enabled swfdec
%postun -n gstreamer-swfdec
%gst_register
%gst_compprep
%endif

%postun -n gstreamer-tagediting
%gst_register
%gst_compprep

%if_enabled pango
%postun -n gstreamer-textoverlay
%gst_register
%gst_compprep
%endif

%if_enabled theora
%postun -n gstreamer-theora
%gst_register
%gst_compprep
%endif

%if_enabled v4l
%postun -n gstreamer-v4l
%gst_register
%gst_compprep
%endif

%if_enabled v4l2
%postun -n gstreamer-v4l2
%gst_register
%gst_compprep
%endif

%if_enabled vcd
%postun -n gstreamer-vcd
%gst_register
%gst_compprep
%endif

%postun -n gstreamer-video-effects
%gst_register
%gst_compprep

%postun -n gstreamer-videotest
%gst_register
%gst_compprep

%if_enabled visualisation
%postun -n gstreamer-visualisation
%gst_register
%gst_compprep
%endif

%if_enabled vorbis
%postun -n gstreamer-vorbis
%gst_register
%gst_compprep
%endif

%if_enabled nas
%postun -n gstreamer-nas
%gst_register
%gst_compprep
%endif

%if_enabled xvid
%postun -n gstreamer-xvid
%gst_register
%gst_compprep
%endif

%if_enabled xvideo
%postun -n gstreamer-xvideosink
%gst_register
%gst_compprep
%endif

%if_with x11
%postun -n gstreamer-xwindowlistener
%gst_register
%gst_compprep
%endif

%if_enabled yuv4mjpeg
%postun -n gstreamer-yuv4mjpeg
%gst_register
%gst_compprep
%endif

%files -f gst-plugins-%ver_major.lang
%_bindir/*
%_libdir/*.so.*
%_gst_libdir/libgstaudio.so
%_gst_libdir/libgstautodetect.so
%_gst_libdir/libgstaudioconvert.so
%_gst_libdir/libgstvideo.so
%_gst_libdir/libgstidct.so
%_gst_libdir/libgstfilter.so
%_gst_libdir/libgstmplex.so
#%_gst_libdir/libgstoneton.so
%_gst_libdir/libgstriff.so
%_gst_libdir/libgstswitch.so
%_gst_libdir/libgsttypefindfunctions.so
%_gst_libdir/libgstvbidec.so
%_gst_libdir/libgstdecodebin.so
%_gst_libdir/libgstplaybin.so
%_gst_libdir/libgstmultifilesink.so
%_gst_libdir/libgstmultipart.so
%_gst_libdir/libgstsubparse.so

%_man1dir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS README RELEASE

%files ALL

%files devel
%_includedir/gstreamer-%ver_major/gst/*
%_libdir/*.so
#%_datadir/aclocal/*
%_libdir/pkgconfig/*

%if_enabled a52dec
%files -n gstreamer-a52dec
%_gst_libdir/libgsta52dec*.so
%endif

%if_enabled aalib
%files -n gstreamer-aalib
%_gst_libdir/libgstaasink.so
%endif

%if_enabled alsa
%files -n gstreamer-alsa
%_gst_libdir/libgstalsa.so
#%_man1dir/gstalsa*
%endif

%if_enabled artsd
%files -n gstreamer-artsd
%_gst_libdir/libgstarts.so
%_gst_libdir/libgstartsdsink.so
%endif

%if_enabled audio_effects
%files -n gstreamer-audio-effects
%_gst_libdir/*adder.so
%_gst_libdir/*alaw.so
%_gst_libdir/libgstaudiorate.so
%_gst_libdir/*audioscale.so
%_gst_libdir/*cutter.so
%_gst_libdir/libgstaudiofilter.so
%_gst_libdir/libgstequalizer.so
#%_gst_libdir/*intfloat.so
%_gst_libdir/*level.so
%_gst_libdir/libgstinterleave.so
%_gst_libdir/libgstmixmatrix.so
%_gst_libdir/*mulaw.so
%_gst_libdir/*passthrough.so
%_gst_libdir/*playondemand.so
%_gst_libdir/*resample*.so
%_gst_libdir/*silence*.so
%_gst_libdir/*sinesrc*.so
%_gst_libdir/*speed.so
%_gst_libdir/libgststereo.so
#_gst_libdir/*mono2stereo.so
#_gst_libdir/*stereo2mono.so
#_gst_libdir/*stereosplit.so
%_gst_libdir/*volenv.so
%_gst_libdir/*volume.so
%endif

%if_enabled audio_formats
%files -n gstreamer-audio-formats
%_gst_libdir/*wavparse*.so
%_gst_libdir/*wavenc*.so
%_gst_libdir/*auparse*.so
%_gst_libdir/*ac3parse*.so
#%_gst_libdir/*id3types*.so
#_gst_libdir/*mp3types*.so
%_gst_libdir/*modplug*.so
%_gst_libdir/libgstapetag.so
%_gst_libdir/libgsttta.so
%_gst_libdir/libgstdvdlpcmdec.so
%endif

%if_enabled audiofile
%files -n gstreamer-audiofile
%_gst_libdir/*audiofile*.so
%endif

%if_enabled avifile
%files -n gstreamer-avi
%_gst_libdir/*avi.so
#_gst_libdir/*wincodec*.so
%endif

%if_enabled cdaudio
%files -n gstreamer-cdaudio
%_gst_libdir/libgstcdaudio.so
%endif

%if_enabled cdparanoia
%files -n gstreamer-cdparanoia
%_gst_libdir/*cdparanoia*.so
%endif

%files -n gstreamer-cdplayer
%_gst_libdir/*cdplayer.so

%if_enabled colorspace
%files -n gstreamer-colorspace
%_gst_libdir/*colorspace*.so
%endif

%files -n gstreamer-container-formats
%_gst_libdir/*asf.so
%_gst_libdir/*matroska*.so
%_gst_libdir/*qtdemux.so
%_gst_libdir/*rmdemux.so

%files -n gstreamer-debug
%_gst_libdir/*debug.so
%_gst_libdir/*efence.so
%_gst_libdir/*navigationtest.so

%if_enabled libdv
%files -n gstreamer-dv
%_gst_libdir/*dvdec*.so
%endif

%if_enabled libvisual
%files -n gstreamer-libvisual
%_gst_libdir/libgstlibvisual.so
%endif

%if_enabled dvdnav
%files -n gstreamer-dvdnav
%_gst_libdir/*dvdnav*.so
%endif

%if_enabled directfb
%files -n gstreamer-directfb
%_gst_libdir/libgstdirectfbvideosink.so
%endif

%if_enabled dvdread
%files -n gstreamer-dvdread
%_gst_libdir/*dvdread*.so
%endif

%if_enabled dxr3
%files -n gstreamer-dxr3
%_gst_libdir/*dxr3*.so
%endif

%if_enabled esd
%files -n gstreamer-esd
%_gst_libdir/*esd*.so
%endif

%if_enabled faac
%files -n %_name-faac
%_gst_libdir/libgstfaac.so
%endif

%if_enabled faad
%files -n gstreamer-faad
%_gst_libdir/*faad*.so
%endif

%if_enabled libfame
%files -n gstreamer-fame
%_gst_libdir/*libfame*.so
%endif

%files -n gstreamer-festival
%_gst_libdir/*festival*.so

%if_enabled ffmpeg
%files -n gstreamer-ffmpegcolorspace
%_gst_libdir/*ffmpeg*.so
%endif

%if_enabled flac
%files -n gstreamer-flac
%_gst_libdir/*flac*.so
%endif

%if_enabled flx
%files -n gstreamer-flx
%_gst_libdir/*flx*.so
%endif

%if_enabled gdk_pixbuf
%files -n gstreamer-gdkpixbuf
%_gst_libdir/*gdkpixbuf*.so
%endif

%if_enabled gnome_vfs
%files -n gstreamer-gnomevfs
%_gst_libdir/*gnomevfs*.so
%endif

%files -n gstreamer-gconf
%_gst_libdir/libgstgconfelements.so

%if_enabled gsm
%files -n gstreamer-gsm
%_gst_libdir/*gsm*.so
%endif

%if_enabled http
%files -n gstreamer-http
%_gst_libdir/*http*.so
%endif

%if_enabled jack
%files -n gstreamer-jack
%_gst_libdir/*jack*.so
%endif

%if_enabled jpeg
%files -n gstreamer-jpeg
%_gst_libdir/libgstjpeg.so
%endif

%if_enabled ladspa
%files -n gstreamer-ladspa
%_gst_libdir/*ladspa*.so
%endif

%if_enabled lame
%files -n gstreamer-lame
%_gst_libdir/*lame*.so
%endif

%if_enabled mad
%files -n gstreamer-mad
%_gst_libdir/*mad*.so
%endif

%if_enabled mikmod
%files -n gstreamer-mikmod
%_gst_libdir/*mikmod*.so
%endif

%if_enabled mpeg
%files -n gstreamer-mpeg
%_gst_libdir/*mp1*.so
#_gst_libdir/*mpeg1encoder*.so
%_gst_libdir/*mpeg1systemencode*.so
#_gst_libdir/*mpeg1types*.so
%_gst_libdir/*mpeg2subt*.so
#_gst_libdir/*mpeg2types*.so
%_gst_libdir/*mpegaudio.so
%_gst_libdir/*mpegaudioparse*.so
%_gst_libdir/*mpegstream*.so
%endif

%if_enabled nas
%files -n gstreamer-nas
%_gst_libdir/libgstnassink.so
%endif

%if_enabled mpeg2dec
%files -n gstreamer-mpeg2dec
%_gst_libdir/libgstmpeg2dec.so
%endif

%if_enabled mpeg2enc
%files -n gstreamer-mpeg2enc
%_gst_libdir/libgstmpeg2enc.so
%endif

%if_enabled musicbrainz
%files -n gstreamer-musicbrainz
%_gst_libdir/libgsttrm.so
%endif

%files -n gstreamer-network
%_gst_libdir/*rtp.so
%_gst_libdir/*tcp.so
%_gst_libdir/*udp.so

%if_enabled openquicktime
%files -n gstreamer-openquicktime
%_gst_libdir/*openquicktime*.so
%endif

%if_enabled ogg
%files -n gstreamer-ogg
%_gst_libdir/*ogg*.so
%endif

%if_enabled oss
%files -n gstreamer-oss
%_gst_libdir/*oss*.so
%endif

%if_enabled libpng
%files -n gstreamer-png
%_gst_libdir/*png*.so
%endif

%if_enabled qcam
%files -n gstreamer-qcam
%_gst_libdir/*qcam*.so
%endif

%if_enabled raw1394
%files -n gstreamer-raw1394
%_gst_libdir/*1394*.so
%endif

%if_enabled sdl
%files -n gstreamer-sdl
%_gst_libdir/*sdl*.so
%endif

%if_enabled shout
%files -n gstreamer-shout
%_gst_libdir/*shout*.so
%endif

%if_enabled shout2
%files -n gstreamer-shout2
%_gst_libdir/*shout2*.so
%endif

%if_enabled sidplay
%files -n gstreamer-sidplay
%_gst_libdir/*sid*.so
%endif

%if_enabled libpng
%files -n gstreamer-snapshot
%_gst_libdir/*snapshot.so
%endif

%if_enabled libmng
%files -n gstreamer-mng
%_gst_libdir/libgstmng.so
%endif

%if_enabled librfb
%files -n gstreamer-rfb
%_gst_libdir/libgstrfbsrc.so
%endif

%if_enabled sndfile
%files -n gstreamer-sndfile
%_gst_libdir/*sndfile*.so
%endif

%if_enabled speex
%files -n gstreamer-speex
%_gst_libdir/*speex*.so
%endif

%if_enabled swfdec
%files -n gstreamer-swfdec
%_gst_libdir/*swfdec*.so
%endif

%files -n gstreamer-tagediting
%_gst_libdir/*tagedit.so

%if_enabled pango
%files -n gstreamer-textoverlay
%_gst_libdir/*textoverlay.so
%_gst_libdir/*timeoverlay.so
%endif

%if_enabled theora
%files -n gstreamer-theora
%_gst_libdir/libgsttheora.so
%endif

%if_enabled v4l
%files -n gstreamer-v4l
%_gst_libdir/*video4linux.so
%endif

%if_enabled v4l2
%files -n gstreamer-v4l2
%_gst_libdir/*video4linux2.so
%endif

%if_enabled vcd
%files -n gstreamer-vcd
%_gst_libdir/*vcd*.so
%_gst_libdir/*cdxa*.so
%endif

%files -n gstreamer-video-effects
%_gst_libdir/*alpha*.so
%_gst_libdir/*effectv*.so
%_gst_libdir/*deinterlace*.so
%_gst_libdir/*gstoverlay.so
%_gst_libdir/*median.so
%_gst_libdir/*rtjpeg*.so
%_gst_libdir/*videobalance*.so
%_gst_libdir/*videocrop*.so
%_gst_libdir/*videodrop*.so
%_gst_libdir/*videoflip*.so
%_gst_libdir/*videofilter*.so
%_gst_libdir/*videobox.so
%_gst_libdir/*videomixer.so
%_gst_libdir/*videorate.so
%_gst_libdir/libgstgamma.so
%_gst_libdir/*videoscale*.so
%_gst_libdir/*smpte.so
%_gst_libdir/*smooth.so
%_gst_libdir/libgstpuzzle.so

%files -n gstreamer-videotest
%_gst_libdir/*videotestsrc.so

%if_enabled visualisation
%files -n gstreamer-visualisation
#_gst_libdir/*vumeter.so
%_gst_libdir/*goom*.so
%_gst_libdir/*chart*.so
%_gst_libdir/*monoscope*.so
%_gst_libdir/*smoothwave.so
%_gst_libdir/*spectrum*.so
%_gst_libdir/*synaesthesia.so
%endif

%if_enabled vorbis
%files -n gstreamer-vorbis
%_gst_libdir/*vorbis*.so
%endif

%if_enabled xine
%files -n gstreamer-xine
%_gst_libdir/libgstxine.so
%endif

%if_enabled xvid
%files -n gstreamer-xvid
%_gst_libdir/*xvid.so
%endif

%if_enabled xvideo
%files -n gstreamer-xvideosink
%_gst_libdir/*ximagesink*.so
%_gst_libdir/*xvimagesink*.so
%endif

%if_enabled opengl
%files -n gstreamer-glvideosink
%_gst_libdir/*glimagesink*.so
%endif

%if_with x11
%files -n gstreamer-xwindowlistener
%_gst_libdir/*xwindowlistener*.so*
%endif

%if_enabled yuv4mjpeg
%files -n gstreamer-yuv4mjpeg
%_gst_libdir/*y4m*.so
%endif

%changelog
* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.9-alt1
- 0.8.9

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.8-alt1
- 0.8.8
- new gconf, rfb plugins.

* Mon Jan 24 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.7-alt1.2
- recode patch for mad plugin by vk@.

* Fri Jan 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.7-alt1.1
- fixed build with new faad.

* Fri Jan 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.7-alt1
- 0.8.7
- new directfb plugin.

* Fri Nov 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.6-alt1
- 0.8.6
- new libvisual, cdaudio plugins.

* Sun Nov 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt1.1
- rebuild against swfdec-0.3.2
- enabled v4l2 plugin.
- new shout2 plugin.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt1
- 0.8.5
- new theora, mng plugins.

* Wed Oct 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.4-alt1.1
- Rebuilt with libdvdread.so.3.

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.4-alt1
- 0.8.4
- glvideosink, musicbrainz plugins.

* Mon Jun 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1.1
- rebuild with libdv-0.102

* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Sat Apr 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1.1
- gstreamer-ffmpeg -> gstreamer-ffmpegcolorspace.

* Fri Apr 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0.
- applied major spec corrections by mhz@.
- faac, nas, xine plugins

* Sun Feb 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Sat Dec 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Thu Dec 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt2
- do not package .la files.
- use %%set_verify_elf_method textrel=relaxed, I can't fix asm code.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt1
- 0.6.4

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt1
- 0.6.3
- gstreamer-{alsa,oss} provide gstreamer-hw-audio-sink (#2880)

* Sat Jun 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Sun Apr 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt1
- 0.6.1

* Sun Feb 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.2-alt1
- new version.

* Wed Jan 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.5
- new version.
- mpeg2dec plugin enabled.
- ffmpeg plugin doesn't require libffmpeg (cvs source included in package).

* Mon Dec 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt0.7
- gstreamer-plugins-ALL virtual package installs all plugins.

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt0.6
- new version.
- mpeg2dec plugin temporarily disabled.
- ffmpeg, png - new plugins.

* Mon Nov 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.6
- Fixed %%files sections.
- swfdec plugin.

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.5
- 0.4.2

* Fri May 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.4-alt0.1.1
- Fixed cicle dependence (gstreamer-plugins gstreamer-plugin-libs gstreamer-plugins)
- aalib plugin
- videosink plugin
- avi plugin broken.

* Sat Apr 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.4-alt0.1
- First test build for Sisyphus.
- There are problems with dv, jack, raw1394 and xmms plugins.
- newer versions of aalib, libavifile and gnome-vfs needed.

